# 11. Withdrawal (Wallet)

## Withdraw Money with Wallet 'Id' Information

<mark style="color:yellow;">`POST`</mark> `{{WalletUrl}}/api/v1/wallet/withdraw`&#x20;

{% hint style="info" %}
**Note:** In order to use this service, it is mandatory to include the **apikeypublic** and **apiclientpublic** parameters in the Header field.

\
[<mark style="color:green;">**WalletAPI Address**</mark>](/payment-orchestration-integration-document/environment.md)
{% endhint %}

**Parameters required to be sent to the service are as follows:**

<table><thead><tr><th width="162">Parameter</th><th width="100.77734375">Type</th><th width="154.23046875">Compulsory</th><th width="403">Description</th></tr></thead><tbody><tr><td>apikeypublic</td><td>string</td><td>Yes</td><td>The general key information required to provide access to the API.</td></tr><tr><td>apiclientpublic</td><td>string</td><td>Yes</td><td>The general key information used to represent the client identity in API requests.</td></tr></tbody></table>

{% tabs %}
{% tab title="Service Request - JSON" %}

```json
{
  "Id": "{{walletId}}",
  "Amount": 1,
  "Description": "description",
  "ExternalReference": "{{$randomFullName}}"
}
```

{% endtab %}
{% endtabs %}

## **Service Request**

| Parameter         | Type    | Description                                                                             |
| ----------------- | ------- | --------------------------------------------------------------------------------------- |
| Id                | Guid    | The identity information of the wallet from which the withdrawal is requested.          |
| Amount            | decimal | The amount to be deposited.                                                             |
| Description       | string  | The description of the relevant transaction.                                            |
| ExternalReference | string  | The transaction tracking number. You can use this information to track the transaction. |

{% tabs %}
{% tab title="Service Request - JSON" %}
{% code lineNumbers="true" %}

```json
{
    "IsSuccess": true,
    "IsFailure": false,
    "Value": {
        "Id": "f19ea4b9-9b42-48e6-9fdd-a3bc519d60ab",
        "WalletId": "7883fb19-2359-4a9b-b917-f08a259898ed",
        "TransactionType": "Withdrawal",
        "Amount": 1,
        "GiftAmount": null,
        "Description": "string",
        "ExternalReference": "9e1348e3-807e-4754-a567-b907cd4e5547",
        "CreatedAt": "2025-08-20T10:10:45.6814699Z",
        "UpdatedAt": null,
        "BalanceAfterTransaction": 3.00,
        "GiftBalanceId": null,
        "UniqueCode": "04006cec-1ae0-43d8-b49d-e1a55cda274f",
        "CashbackAmount": 0
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Service Response

<table><thead><tr><th width="192">Parameter</th><th width="147.89192708333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>IsFailure</td><td>bool</td><td>It is the status information indicating whether the service has encountered an error.</td></tr><tr><td>IsSuccess</td><td>bool</td><td>It indicates whether the service has completed successfully.</td></tr><tr><td>Errors</td><td>Array</td><td>The list of error messages returned by the service.</td></tr><tr><td>Value</td><td>Array&#x3C;Items></td><td>The data set resulting from the request.</td></tr></tbody></table>

## Service Response (Value)

<table><thead><tr><th width="234.05859375">Parameter</th><th width="162.38671875">Type</th><th width="348.94140625">Description</th></tr></thead><tbody><tr><td>Id</td><td>Guid</td><td>It is the unique identifier of the recorded transaction.</td></tr><tr><td>WalletOwnerId</td><td>Guid</td><td>It is the system ID number of the wallet owner related to the transaction.</td></tr><tr><td>Name</td><td>string</td><td>It is the registered name information of the user or business.</td></tr><tr><td>Alias</td><td>string</td><td>It is the alternative nickname defined for the wallet.</td></tr><tr><td>MerchantId</td><td>Guid</td><td>It is the unique ID of the member business that performed the transaction.</td></tr><tr><td>RegionId</td><td>string</td><td>It is the region information associated with the transaction or user.</td></tr><tr><td>CurrencyCode</td><td>string</td><td>It is the code information of the currency used (e.g., TRY, USD).</td></tr><tr><td>Balance</td><td>decimal</td><td>It is the total balance information available in the wallet.</td></tr><tr><td>AvailableBalance</td><td>decimal</td><td>It is the amount of balance available for transactions.</td></tr><tr><td>TotalGiftBalance</td><td>decimal</td><td>It is the total balance including the gift balance.</td></tr><tr><td>BlockedBalance</td><td>decimal</td><td>It is the balance amount restricted for use.</td></tr><tr><td>FrozenUntil</td><td>DateTime</td><td>It is the date information indicating when the wallet is frozen and when it will be reactivated.</td></tr><tr><td>IsFrozen</td><td>bool</td><td>It indicates whether the wallet is active or frozen.</td></tr><tr><td>IsDeleted</td><td>bool</td><td>It shows whether the relevant record has been deleted from the system.</td></tr><tr><td>CreatedAt</td><td>DateTime</td><td>It is the date and time information when the record was created.</td></tr><tr><td>UpdatedAt</td><td>DateTime</td><td>It is the date information when the last update of the record was performed.</td></tr><tr><td>TransactionId</td><td>Guid</td><td>It is the unique transaction identifier related to the performed transaction.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.paywall.one/payment-orchestration-integration-document/wallet-services/2.-wallet/11.-withdrawal-wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
